Webhook endpoints
List event types
Every event type this deployment can deliver.
GET/v1/webhook_endpoints/event_types
Parameters
This endpoint takes no parameters.
Returns
Returns an EventTypeListResponse object.
Errors
| Status | Cause |
|---|---|
| 401 | Missing or invalid API key. |
| 403 | Key is missing the webhook_endpoints:read scope. |
| 429 | Rate limited. Back off and retry. |
Other webhook endpoints operations
- List webhook endpoints GET /v1/webhook_endpoints
- Create a webhook endpoint POST /v1/webhook_endpoints
- Delete webhook endpoint DELETE /v1/webhook_endpoints/{endpoint_id}
- Get webhook endpoint GET /v1/webhook_endpoints/{endpoint_id}
- Update webhook endpoint POST /v1/webhook_endpoints/{endpoint_id}
- List webhook endpoint deliveries GET /v1/webhook_endpoints/{endpoint_id}/deliveries
- Get webhook delivery GET /v1/webhook_endpoints/{endpoint_id}/deliveries/{delivery_id}
- Redeliver webhook delivery POST /v1/webhook_endpoints/{endpoint_id}/deliveries/{delivery_id}/redeliver
- Rotate webhook endpoint secret POST /v1/webhook_endpoints/{endpoint_id}/rotate_secret
BillKit